    Return the data used to create the model plot.

get_model_plot(id=None, recalc=True)
id - int or str, optional
recalc - bool, optional
>>> mplot = get_model_plot() >>> print(mplot)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set that provides the data. If not given then the default identifier is used, as returned by `get_default_id` .
recalc
If False then the results from the last call to

`plot_model` (or `get_model_plot` ) are returned, otherwise the data is re-generated.

The return value from this function is:

An object representing the data used to create the plot by

`plot_model` . The return value depends on the data set (e.g. 1D binned or un-binned).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023